Package: org.grails.io.support

## [Java] Class DefaultResourceLoader.ClassPathContextResource

- org.grails.io.support.DefaultResourceLoader.ClassPathContextResource

-     private static class DefaultResourceLoader.ClassPathContextResource
      extends ClassPathResource

  ClassPathResource that explicitly expresses a context-relative path through implementing the ContextResource interface.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassPathResource` | `classLoader, clazz, path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassPathContextResource (java.lang.String path, java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Resource` | `createRelative(java.lang.String relativePath)`
    `` | `public java.lang.String` | `getPathWithinContext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassPathResource` | `createRelative, equals, exists, getClassLoader, getDescription, getFilename, getInputStream, getPath, getURI, getURL, hashCode, nullSafeEquals`
    `class AbstractFileResolvingResource` | `contentLength, exists, getFile, getFile, getFileForLastModifiedCheck, isReadable, lastModified, useCachesIfNecessary`

- - ### Constructor Detail

    - #### public ClassPathContextResource(java.lang.String path, java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override public Resource createRelative(java.lang.String relativePath)

    - #### @java.lang.SuppressWarnings("unused") public java.lang.String getPathWithinContext()